<?php
//              (F)
// CMS3 - A Three Content Management System.
// Copyright (C) 2007  Jop... (Jonas F. Jensen).
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

/**
*This file defines simple database connection settings
*
*This file must be manually edited to comply with local server settings
*
* @package	System
* @author	Jonas F. Jensen <jopsen@gmail.com>
* @copyright	2007 Jonas F. Jensen.
* @license	http://www.gnu.org/licenses/gpl.txt
*/

//Defines contants for the MySQL connection

/**
*Address of the userspace database host
*/
define(CMS3_System_UserSpaceDatabaseServer, 	"localhost");

/**
*Username for userspace database
*/
define(CMS3_System_UserSpaceDatabaseUser, 	"root");

/**
*Password for the userspace database
*/
define(CMS3_System_UserSpaceDatabasePassword, 	"");

/**
*Userspace database prefix
*/
define(CMS3_System_UserSpaceDatabasePrefix, 	"");

/**
*Address of the system database host
*/
define(CMS3_System_SystemDatabaseServer, 	"localhost");

/**
*Username for system database
*/
define(CMS3_System_SystemDatabaseUser, 		"root");

/**
*Password for the system database
*/
define(CMS3_System_SystemDatabasePassword, 	"");

/**
*Userspace system prefix
*/
define(CMS3_System_SystemDatabasePrefix, 	"");
?>
